import type { LylaAdapter, LylaAdapterMeta as LylaCoreAdapterMeta } from '@lylajs/core';
export interface LylaAdapterMeta extends LylaCoreAdapterMeta {
    method: 'get' | 'GET' | 'post' | 'POST' | 'put' | 'PUT' | 'patch' | 'PATCH' | 'head' | 'HEAD' | 'delete' | 'DELETE' | 'options' | 'OPTIONS' | 'connect' | 'CONNECT' | 'trace' | 'TRACE';
    networkErrorDetail: TypeError;
    requestBody: string | FormData;
    responseDetail: Response;
    responseType: 'arraybuffer' | 'blob' | 'text';
    body: BodyInit;
}
export declare const adapter: LylaAdapter<LylaAdapterMeta>;
